Gecode::SetTraceDelta Class Reference
Functionality by programming task » Programming models » Tracing constraint propagation » Tracing for set variables

Trace delta information for set variables. More...

`#include <set.hh>`

## Classes

class | Glb
| Delta for the greatest lower bound. More...
class | Lub
| Delta for the least upper bound. More...

## Public Attributes

Glb | _glb
Lub | _lub

## Constructor

| SetTraceDelta (Set::SetTraceView o, Set::SetView n, const Delta &d)
| Initialize with old trace view o, new view n, and delta d.

## Access to delta iterators

Glb & | glb (void)
| Give access to iterator for delta in greatest lower bound (values that have been included).
Lub & | lub (void)
| Give access iterator for delta in leat bound (values that have been removed).

## Detailed Description

Trace delta information for set variables.

Definition at line 1748 of file set.hh.

## Constructor & Destructor Documentation

## SetTraceDelta()

Gecode::SetTraceDelta::SetTraceDelta | ( | Set::SetTraceView | o,
|  | Set::SetView | n,
|  | const Delta & | d )

inline

Initialize with old trace view o, new view n, and delta d.

Definition at line 48 of file delta.hpp.

## Member Function Documentation

## glb()

SetTraceDelta::Glb & Gecode::SetTraceDelta::glb | ( | void |  | ) |

inline

Give access to iterator for delta in greatest lower bound (values that have been included).

Definition at line 52 of file delta.hpp.

## lub()

SetTraceDelta::Lub & Gecode::SetTraceDelta::lub | ( | void |  | ) |

inline

Give access iterator for delta in leat bound (values that have been removed).

Definition at line 56 of file delta.hpp.

## Member Data Documentation

## _glb

Glb Gecode::SetTraceDelta::_glb

Definition at line 1768 of file set.hh.

## _lub

Lub Gecode::SetTraceDelta::_lub

Definition at line 1785 of file set.hh.

The documentation for this class was generated from the following files:

- gecode/set.hh
- gecode/set/trace/delta.hpp